Project

General

Profile

バグ #2405

OpenRTM-aist-Javaインストール時にJDK1.7が入っていてもJDKのインストールを求められる問題

Added by hashikawa over 9 years ago. Updated over 8 years ago.

Status:
終了
Priority:
通常
Assignee:
Start date:
04/11/2012
Due date:
% Done:

100%

Estimated time:

Description

OpenRTM(Java)のセットアップを起動するとJDK1.6が必要というメッセージが出ます。
JDK1.7を64bit,32bit両方入れてみても同様のメッセージが出ます。
C:\Program File\Javaにはjdk1.7.0_02とjre7のフォルダがありjdk1.7.0_02にはbin,include,jre,lib等、jre7にはbin,lib等フォルダ、ファイルがあります。
32bitの方も同様です。

Associated revisions

Revision 688 (diff)
Added by ga almost 9 years ago

Supported JDK7. refs #2405
Now, RTSystemEditor is installed.

History

#1 Updated by n-ando over 9 years ago

  • Project changed from OpenRTM-aist to OpenRTM-aist (Java)

#2 Updated by n-ando over 9 years ago

現状のインストーラではJDK1.7ではJavaがインストールされているとは認められない模様。

#3 Updated by n-ando over 9 years ago

  • Assignee changed from hashikawa to n-ando
  • % Done changed from 0 to 50

OpenRTM-aist-Java.wxs.in の変更が必要

http://www.openrtm.org/svnroot/OpenRTM-aist-Java/trunk/jp.go.aist.rtm.RTC/installer/win32/OpenRTM-aist-Java.wxs.in

  • レジストリキー: HKLM\SOFTWARE\JavaSoft\Java Development Kit\1.X を見ている
  • 現状 1.5と1.6 のみチェック
  • このレジストリキーはregiedit.exeでは管理者権限でしか見れない。(regiedit.exeを管理者権限で実行する必要あり。)
  • 1.7のレジストリキーは HKLM\SOFTWARE\JavaSoft\Java Development Kit\1.7

とりあえず、

    <Property Id="JDK17">
      <RegistrySearch Id="JDK17" 
                      Root="HKLM" 
                      Key="SOFTWARE\JavaSoft\Java Development Kit\1.7" 
                      Name="JavaHome" 
                      Type="raw" />
    </Property>

を <Property Id="JDK16"> の下に追加して<!-- Check Conditions -->のところを以下のように書き換えればOKか?
    <!-- Check Conditions -->
    <Condition Message="[ProductName] requires JDK 1.5, 1.6 or 1.7">
      <![CDATA[Installed OR (JDK15 <> "" OR JDK16 <> "" OR JDK17 <> "")]]>
    </Condition>

#4 Updated by n-ando over 9 years ago

  • Subject changed from OpenRTM(Java)のインストール to OpenRTM-aist-Javaインストール時にJDK1.7が入っていてもJDKのインストールを求められる問題

#5 Updated by ga almost 9 years ago

  • Status changed from 新規 to 解決
  • Assignee changed from n-ando to ga
  • % Done changed from 50 to 100

上記の対応により、JDK1.7でもOpenRTM-aist-Javaのインストールができる事を確認致しました。 r688

ちなみに、Windows7(64bit)環境に、JDK1.6(32bit)やJDK1.7(32bit)をインストールした場合、
JDKのバージョン情報などは以下に記載されており、OpenRTM-aist-Java.wxs.inに記載したパスと
は異なりますが、インストール時にはバージョン情報を取得できておりました。

HKLM\SOFTWARE\Wow6432Node\JavaSoft\Java Development Kit\1.X

#6 Updated by n-ando over 8 years ago

  • Status changed from 解決 to 終了

Also available in: Atom PDF